"use strict";

let http = require("http");
let express = require("express");
let compression = require("compression");
let {resolve} = require("path");
let auth = require("express-basic-auth");

const { termoutput } = require("./config");
let server = http.createServer();
const stats = require("./stats");
let app = express();
server.addListener("request", app);
app.use(compression({
    level: 9
}));

server.listen(7707,'0.0.0.0',() => {
    termoutput && console.log("HTTP Service Running...");
});
server.addListener("error",(err)=> {
    console.err(err)
})
exports.http = server;

app.get("/script",(request, response)=>{
    response.sendFile(resolve("./script/index.js"))
});
app.get("/test",(request, response)=>{
    response.sendFile(resolve("./script/test.html"))
});
app.get("/index.js.map",(request, response)=>{
    response.sendFile(resolve("./script/index.js.map"))
});
app.get("/stream",(request, response)=>{
    response.sendFile(resolve("./public/index.html"))
});
app.get("/",(request, response)=>{
    response.sendFile(resolve("./script/index.html"))
});
app.post("/stats",(request, response)=>{
    response.json(stats.others);
});
app.get("/console",(request, response)=>{
    response.sendFile(resolve("./console/index.html"))
});
app.get("/console/lib.js",(request, response)=>{
    setTimeout(()=> {
        response.sendFile(resolve("./console/lib.js"))
    }, Math.random() * 5_000 | 0)
});
app.use("/stream",express.static(resolve("./public")));
app.use("/console/",express.static(resolve("./console")));

app.get("*",(request, response)=>{
    response.sendFile(resolve("./script/status.xml"))
});